//
// ImpBrush.cpp
//
// The implementation of virtual brush. All the other brushes inherit from it
//

#include "impressionistDoc.h"

#include "ImpBrush.h"

int ImpBrush::c_nBrushCount = 0;
ImpBrush** ImpBrush::c_pBrushes = NULL;

ImpBrush::ImpBrush( ImpressionistDoc* pDoc, char* name ) :
	m_pDoc(pDoc), m_pBrushName(name)
{
}

ImpressionistDoc* ImpBrush::GetDocument( void )
{
	return m_pDoc;
}

char* ImpBrush::BrushName( void )
{
	return m_pBrushName;
}

void ImpBrush::SetColor ( Point source )
{
	ImpressionistDoc* pDoc = GetDocument();

	GLubyte color[3];
	memcpy ( color, pDoc->GetOriginalPixel( source ), 3 );
	glColor3ubv( color );
}